## r-cran-igraph 0.7.1

=== DESCRIPTION ===
Package: igraph
Version: 0.7.1
Date: 2014-04-22
Title: Network analysis and visualization
Author: See AUTHORS file.
Maintainer: Gabor Csardi <csardi.gabor@gmail.com>
Description: Routines for simple graphs and network analysis. igraph can
  handle large graphs very well and provides functions for generating random
  and regular graphs, graph visualization, centrality indices and much more.
Depends: methods
Imports: Matrix
Suggests: igraphdata, stats4, rgl, tcltk, graph, ape
License: GPL (>= 2)
URL: http://igraph.org
SystemRequirements: gmp, libxml2
BugReports: https://github.com/igraph/igraph/issues
Packaged: 2014-04-22 18:00:26 UTC; gaborcsardi
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-04-22 23:08:29

=== debian/changelog ===
r-cran-igraph (0.7.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Fri, 19 Feb 2016 14:18:08 +0100

r-cran-igraph (0.7.1-1) unstable; urgency=low

  * Initial release (closes: #546936).

 -- Andreas Tille <tille@debian.org>  Thu, 25 Sep 2014 18:00:25 +0200

=== debian/control ===
Source: r-cran-igraph
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-matrix
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-igraph/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-igraph/trunk/
Homepage: http://cran.r-project.org/web/packages/igraph/

Package: r-cran-igraph
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends},
         ${misc:Depends},
         r-cran-matrix
Description: GNU R network analysis and visualization
 This GNU R package provides routines for simple graphs and network
 analysis. igraph can handle large graphs very well and provides
 functions for generating random and regular graphs, graph visualization,
 centrality indices and much more.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/R/debian/r-cran.mk

clean::
	rm -f src/Makevars src/config.h
	dh_clean

install/$(package)::
	rm -f debian/$(package)/usr/lib/R/site-library/igraph/LICENSE
	rm -f debian/$(package)/usr/lib/R/site-library/igraph/html_library.license.terms
	mkdir -p debian/$(package)/usr/share/pixmaps/igraph
	mv debian/$(package)/usr/lib/R/site-library/igraph/*.gif debian/$(package)/usr/share/pixmaps/igraph/
	mv debian/$(package)/usr/lib/R/site-library/igraph/tkigraph_help/*.gif debian/$(package)/usr/share/pixmaps/igraph/
	dh_installchangelogs -k NEWS

## r-cran-igraph 1.0.1

=== DESCRIPTION ===
Package: igraph
Version: 1.0.1
Title: Network Analysis and Visualization
Author: See AUTHORS file.
Maintainer: Gabor Csardi <csardi.gabor@gmail.com>
Description: Routines for simple graphs and network analysis. It can
    handle large graphs very well and provides functions for generating random
    and regular graphs, graph visualization, centrality methods and much more.
Depends: methods
Imports: Matrix, magrittr, NMF, irlba
Suggests: igraphdata, stats4, rgl, tcltk, graph, ape, scales
License: GPL (>= 2)
URL: http://igraph.org
SystemRequirements: gmp, libxml2
BugReports: https://github.com/igraph/igraph/issues
Collate: 'adjacency.R' 'auto.R' 'assortativity.R' 'attributes.R'
        'basic.R' 'bipartite.R' 'centrality.R' 'centralization.R'
        'cliques.R' 'cocitation.R' 'cohesive.blocks.R' 'printr.R'
        'community.R' 'components.R' 'console.R' 'conversion.R'
        'data_frame.R' 'decomposition.R' 'degseq.R' 'demo.R'
        'embedding.R' 'epi.R' 'fit.R' 'flow.R' 'foreign.R' 'games.R'
        'glet.R' 'hrg.R' 'igraph-package.R' 'incidence.R' 'indexing.R'
        'interface.R' 'iterators.R' 'layout.R' 'layout_drl.R'
        'lazyeval.R' 'make.R' 'mgclust.R' 'minimum.spanning.tree.R'
        'motifs.R' 'nexus.R' 'operators.R' 'other.R' 'package.R'
        'palette.R' 'par.R' 'paths.R' 'plot.R' 'plot.common.R'
        'plot.shapes.R' 'pp.R' 'print.R' 'random_walk.R' 'rewire.R'
        'scan.R' 'scg.R' 'sgm.R' 'similarity.R' 'simple.R' 'sir.R'
        'socnet.R' 'sparsedf.R' 'structural.properties.R'
        'structure.info.R' 'test.R' 'tkplot.R' 'topology.R'
        'triangles.R' 'utils.R' 'uuid.R' 'versions.R' 'weakref.R'
        'zzz-deprecate.R'
NeedsCompilation: yes
Packaged: 2015-06-26 01:04:44 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2015-06-26 11:13:24

=== debian/changelog ===
r-cran-igraph (1.0.1-1+deb9u1) stretch; urgency=medium

  * Add upstream patch to fix: CVE-2018-20349 (Closes: #917212).

 -- Dylan Aïssi <daissi@debian.org>  Fri, 01 Mar 2019 22:09:23 +0100

r-cran-igraph (1.0.1-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Add missing (Build-)Depends: r-cran-magrittr, r-cran-nmf, r-cran-irlba

 -- Andreas Tille <tille@debian.org>  Thu, 07 Jul 2016 19:55:27 +0200

=== debian/control ===
Source: r-cran-igraph
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-matrix,
               r-cran-magrittr,
               r-cran-nmf,
               r-cran-irlba
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-igraph.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-igraph.git
Homepage: http://cran.r-project.org/web/packages/igraph/

Package: r-cran-igraph
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends},
         ${misc:Depends},
         r-cran-matrix,
         r-cran-magrittr,
         r-cran-nmf,
         r-cran-irlba
Description: GNU R network analysis and visualization
 This GNU R package provides routines for simple graphs and network
 analysis. igraph can handle large graphs very well and provides
 functions for generating random and regular graphs, graph visualization,
 centrality indices and much more.

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,3 @@
 	mkdir -p debian/$(package)/usr/share/pixmaps/igraph
 	mv debian/$(package)/usr/lib/R/site-library/igraph/*.gif debian/$(package)/usr/share/pixmaps/igraph/
 	mv debian/$(package)/usr/lib/R/site-library/igraph/tkigraph_help/*.gif debian/$(package)/usr/share/pixmaps/igraph/
-	dh_installchangelogs -k NEWS

## r-cran-igraph 1.1.2

=== DESCRIPTION ===
Package: igraph
Version: 1.1.2
Title: Network Analysis and Visualization
Author: See AUTHORS file.
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Routines for simple graphs and network analysis. It can
  handle large graphs very well and provides functions for generating random
  and regular graphs, graph visualization, centrality methods and much more.
Depends: methods
Imports: graphics, grDevices, irlba, magrittr, Matrix, pkgconfig (>=
        2.0.0), stats, utils
Suggests: ape, graph, igraphdata, NMF, rgl, scales, stats4, tcltk,
        testthat
License: GPL (>= 2)
URL: http://igraph.org
SystemRequirements: gmp, libxml2
BugReports: https://github.com/igraph/igraph/issues
Encoding: UTF-8
Collate: 'adjacency.R' 'auto.R' 'assortativity.R' 'attributes.R'
        'basic.R' 'bipartite.R' 'centrality.R' 'centralization.R'
        'cliques.R' 'cocitation.R' 'cohesive.blocks.R' 'community.R'
        'components.R' 'console.R' 'conversion.R' 'data_frame.R'
        'decomposition.R' 'degseq.R' 'demo.R' 'embedding.R' 'epi.R'
        'fit.R' 'flow.R' 'foreign.R' 'games.R' 'glet.R' 'hrg.R'
        'igraph-package.R' 'incidence.R' 'indexing.R' 'interface.R'
        'iterators.R' 'layout.R' 'layout_drl.R' 'lazyeval.R' 'make.R'
        'mgclust.R' 'minimum.spanning.tree.R' 'motifs.R' 'nexus.R'
        'operators.R' 'other.R' 'package.R' 'palette.R' 'par.R'
        'paths.R' 'plot.R' 'plot.common.R' 'plot.shapes.R' 'pp.R'
        'print.R' 'printr.R' 'random_walk.R' 'rewire.R' 'scan.R'
        'scg.R' 'sgm.R' 'similarity.R' 'simple.R' 'sir.R' 'socnet.R'
        'sparsedf.R' 'structural.properties.R' 'structure.info.R'
        'test.R' 'tkplot.R' 'topology.R' 'triangles.R' 'utils.R'
        'uuid.R' 'versions.R' 'weakref.R' 'zzz-deprecate.R'
NeedsCompilation: yes
Packaged: 2017-07-20 21:33:52 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2017-07-21 11:39:40 UTC

=== src/COLAMD/Makefile ===
#------------------------------------------------------------------------------
# COLAMD Makefile
#------------------------------------------------------------------------------

VERSION = 2.8.0

default: all

include ../SuiteSparse_config/SuiteSparse_config.mk

demos: all

# Compile all C code
all:
	( cd Lib    ; $(MAKE) )
	( cd Demo   ; $(MAKE) )

# compile just the C-callable libraries (not Demos)
library:
	( cd Lib    ; $(MAKE) )

# remove object files, but keep the compiled programs and library archives
clean:
	( cd Lib    ; $(MAKE) clean )
	( cd Demo   ; $(MAKE) clean )
	( cd MATLAB ; $(RM) $(CLEAN) )

# clean, and then remove compiled programs and library archives
purge:
	( cd Lib    ; $(MAKE) purge )
	( cd Demo   ; $(MAKE) purge )
	( cd MATLAB ; $(RM) $(CLEAN) ; $(RM) *.mex* )

distclean: purge

# get ready for distribution
dist: purge
	( cd Demo   ; $(MAKE) dist )

ccode: library

lib: library

# install COLAMD
install:
	$(CP) Lib/libcolamd.a $(INSTALL_LIB)/libcolamd.$(VERSION).a
	( cd $(INSTALL_LIB) ; ln -sf libcolamd.$(VERSION).a libcolamd.a )
	$(CP) Include/colamd.h $(INSTALL_INCLUDE)
	chmod 644 $(INSTALL_LIB)/libcolamd*.a
	chmod 644 $(INSTALL_INCLUDE)/colamd.h

# uninstall COLAMD
uninstall:
	$(RM) $(INSTALL_LIB)/libcolamd*.a
	$(RM) $(INSTALL_INCLUDE)/colamd.h

=== debian/changelog ===
r-cran-igraph (1.1.2-2ubuntu3) bionic; urgency=medium

  * Skip tests failing due to FP precision
  * Add debian/clean to fix FTBFSx2

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 26 Nov 2017 07:26:08 +0000

r-cran-igraph (1.1.2-2ubuntu2) bionic; urgency=medium

  * Fix gunzipping test files

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 25 Nov 2017 20:55:00 +0000

r-cran-igraph (1.1.2-2ubuntu1) bionic; urgency=medium

  * Fix autopkgtests

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 25 Nov 2017 17:51:00 +0000

r-cran-igraph (1.1.2-2) unstable; urgency=medium

  * Team upload.
  * Remove no_pkg_config_dependency.patch, add B-D on r-cran-pkgconfig.
    (Closes: #877526)
  * Bump Standards-Version to 4.1.1.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 02 Oct 2017 18:06:18 +0200

r-cran-igraph (1.1.2-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: pkg-config, libxml2-dev
  * debhelper 10
  * use dh-r instead of cdbs
  * Canonical Homepage for CRAN packages
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 07 Sep 2017 12:14:09 +0200

=== debian/control ===
Source: r-cran-igraph
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-matrix,
               r-cran-magrittr,
               r-cran-nmf,
               r-cran-irlba,
               r-cran-pkgconfig,
               libxml2-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-igraph.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-igraph.git
Homepage: https://cran.r-project.org/package=igraph

Package: r-cran-igraph
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R network analysis and visualization
 This GNU R package provides routines for simple graphs and network
 analysis. igraph can handle large graphs very well and provides
 functions for generating random and regular graphs, graph visualization,
 centrality indices and much more.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	rm -f debian/$(DEB_SOURCE)/usr/lib/R/site-library/igraph/LICENSE
	rm -f debian/$(DEB_SOURCE)/usr/lib/R/site-library/igraph/html_library.license.terms
	mkdir -p debian/$(DEB_SOURCE)/usr/share/pixmaps/igraph
	mv debian/$(DEB_SOURCE)/usr/lib/R/site-library/igraph/*.gif debian/$(DEB_SOURCE)/usr/share/pixmaps/igraph/
	mv debian/$(DEB_SOURCE)/usr/lib/R/site-library/igraph/tkigraph_help/*.gif debian/$(DEB_SOURCE)/usr/share/pixmaps/igraph/

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./" \
http://cran.r-project.org/src/contrib/igraph_([-0-9\.]*)\.tar\.gz

## r-cran-igraph 1.2.1

=== DESCRIPTION ===
Package: igraph
Version: 1.2.1
Title: Network Analysis and Visualization
Author: See AUTHORS file.
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Routines for simple graphs and network analysis. It can
  handle large graphs very well and provides functions for generating random
  and regular graphs, graph visualization, centrality methods and much more.
Depends: methods
Imports: graphics, grDevices, magrittr, Matrix, pkgconfig (>= 2.0.0),
        stats, utils
Suggests: ape, graph, igraphdata, rgl, scales, stats4, tcltk, testthat
License: GPL (>= 2)
URL: http://igraph.org
SystemRequirements: gmp (optional), libxml2 (optional), glpk (optional)
BugReports: https://github.com/igraph/igraph/issues
Encoding: UTF-8
Collate: 'adjacency.R' 'auto.R' 'assortativity.R' 'attributes.R'
        'basic.R' 'bipartite.R' 'centrality.R' 'centralization.R'
        'cliques.R' 'cocitation.R' 'cohesive.blocks.R' 'community.R'
        'components.R' 'console.R' 'conversion.R' 'data_frame.R'
        'decomposition.R' 'degseq.R' 'demo.R' 'embedding.R' 'epi.R'
        'fit.R' 'flow.R' 'foreign.R' 'games.R' 'glet.R' 'hrg.R'
        'igraph-package.R' 'incidence.R' 'indexing.R' 'interface.R'
        'iterators.R' 'layout.R' 'layout_drl.R' 'lazyeval.R' 'make.R'
        'minimum.spanning.tree.R' 'motifs.R' 'nexus.R' 'operators.R'
        'other.R' 'package.R' 'palette.R' 'par.R' 'paths.R' 'plot.R'
        'plot.common.R' 'plot.shapes.R' 'pp.R' 'print.R' 'printr.R'
        'random_walk.R' 'rewire.R' 'scan.R' 'scg.R' 'sgm.R'
        'similarity.R' 'simple.R' 'sir.R' 'socnet.R' 'sparsedf.R'
        'structural.properties.R' 'structure.info.R' 'test.R'
        'tkplot.R' 'topology.R' 'triangles.R' 'utils.R' 'uuid.R'
        'versions.R' 'weakref.R' 'zzz-deprecate.R'
NeedsCompilation: yes
Packaged: 2018-03-10 12:30:48 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2018-03-10 21:33:20 UTC

=== debian/changelog ===
r-cran-igraph (1.2.1-1) unstable; urgency=medium

  [ Graham Inggs ]
  * Fix autopkgtests: Install testthat tests as docs
                      Update debian/tests/run-unit-test
                      Update debian/README.test
                      Skip tests failing due to FP precision
  * Add debian/clean to fix FTBFSx2

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11
  * d/watch:
     - drop unneeded override
     - secure URI

 -- Andreas Tille <tille@debian.org>  Sun, 11 Mar 2018 08:16:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: r-cran-igraph
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
                r-cran-matrix,
@@ -13,7 +12,7 @@
                r-cran-irlba,
                r-cran-pkgconfig,
                libxml2-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-igraph.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-igraph.git
 Homepage: https://cran.r-project.org/package=igraph

## r-cran-igraph 1.2.2

=== debian/changelog ===
r-cran-igraph (1.2.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jul 2018 08:12:19 +0200

r-cran-igraph (1.2.1-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 07 Jun 2018 13:44:04 +0200

=== debian/control ===
Source: r-cran-igraph
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-magrittr,
               r-cran-matrix,
               r-cran-pkgconfig,
               libxml2-dev
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-igraph
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-igraph.git
Homepage: https://cran.r-project.org/package=igraph

Package: r-cran-igraph
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R network analysis and visualization
 This GNU R package provides routines for simple graphs and network
 analysis. igraph can handle large graphs very well and provides
 functions for generating random and regular graphs, graph visualization,
 centrality indices and much more.

## r-cran-igraph 1.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Package: igraph
-Version: 1.2.1
+Version: 1.2.3
 Title: Network Analysis and Visualization
 Author: See AUTHORS file.
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
 Description: Routines for simple graphs and network analysis. It can
-  handle large graphs very well and provides functions for generating random
-  and regular graphs, graph visualization, centrality methods and much more.
+    handle large graphs very well and provides functions for generating random
+    and regular graphs, graph visualization, centrality methods and much more.
 Depends: methods
 Imports: graphics, grDevices, magrittr, Matrix, pkgconfig (>= 2.0.0),
         stats, utils
-Suggests: ape, graph, igraphdata, rgl, scales, stats4, tcltk, testthat
+Suggests: ape, digest, graph, igraphdata, rgl, scales, stats4, tcltk,
+        testthat
 License: GPL (>= 2)
 URL: http://igraph.org
 SystemRequirements: gmp (optional), libxml2 (optional), glpk (optional)
@@ -31,7 +32,8 @@
         'structural.properties.R' 'structure.info.R' 'test.R'
         'tkplot.R' 'topology.R' 'triangles.R' 'utils.R' 'uuid.R'
         'versions.R' 'weakref.R' 'zzz-deprecate.R'
+RoxygenNote: 6.1.1
 NeedsCompilation: yes
-Packaged: 2018-03-10 12:30:48 UTC; gaborcsardi
+Packaged: 2019-02-04 10:32:21 UTC; gaborcsardi
 Repository: CRAN
-Date/Publication: 2018-03-10 21:33:20 UTC
+Date/Publication: 2019-02-10 14:43:10 UTC

=== debian/changelog ===
r-cran-igraph (1.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 13 Feb 2019 08:24:47 +0100

r-cran-igraph (1.2.2-2) unstable; urgency=high

  * Team upload.
  * Add patch from upstream to fix CVE-2018-20349.
      (Closes: #917212)
  * Standards-Version: 4.3.0

 -- Dylan Aïssi <daissi@debian.org>  Sat, 05 Jan 2019 18:44:03 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-matrix,
                r-cran-pkgconfig,
                libxml2-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-igraph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-igraph.git
 Homepage: https://cran.r-project.org/package=igraph

## r-cran-igraph 1.2.4.1

=== debian/changelog ===
r-cran-igraph (1.2.4.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jul 2019 21:08:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-magrittr,
                r-cran-matrix,
                r-cran-pkgconfig,
                libxml2-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-igraph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-igraph.git
 Homepage: https://cran.r-project.org/package=igraph

## r-cran-igraph 1.2.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: igraph
-Version: 1.2.3
+Version: 1.2.4.2
 Title: Network Analysis and Visualization
 Author: See AUTHORS file.
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
 Description: Routines for simple graphs and network analysis. It can
-    handle large graphs very well and provides functions for generating random
-    and regular graphs, graph visualization, centrality methods and much more.
+  handle large graphs very well and provides functions for generating random
+  and regular graphs, graph visualization, centrality methods and much more.
 Depends: methods
 Imports: graphics, grDevices, magrittr, Matrix, pkgconfig (>= 2.0.0),
         stats, utils
@@ -16,6 +16,7 @@
 SystemRequirements: gmp (optional), libxml2 (optional), glpk (optional)
 BugReports: https://github.com/igraph/igraph/issues
 Encoding: UTF-8
+RoxygenNote: 6.1.1
 Collate: 'adjacency.R' 'auto.R' 'assortativity.R' 'attributes.R'
         'basic.R' 'bipartite.R' 'centrality.R' 'centralization.R'
         'cliques.R' 'cocitation.R' 'cohesive.blocks.R' 'community.R'
@@ -32,8 +33,7 @@
         'structural.properties.R' 'structure.info.R' 'test.R'
         'tkplot.R' 'topology.R' 'triangles.R' 'utils.R' 'uuid.R'
         'versions.R' 'weakref.R' 'zzz-deprecate.R'
-RoxygenNote: 6.1.1
 NeedsCompilation: yes
-Packaged: 2019-02-04 10:32:21 UTC; gaborcsardi
+Packaged: 2019-11-13 08:31:37 UTC; maechler
 Repository: CRAN
-Date/Publication: 2019-02-10 14:43:10 UTC
+Date/Publication: 2019-11-27 20:02:16 UTC

=== debian/changelog ===
r-cran-igraph (1.2.4.2-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:55:44 +0100

r-cran-igraph (1.2.4.2-2) unstable; urgency=medium

  * Build-Depends: pkg-config
  * Replace xml2-config by pkg-config
    Closes: #949523

 -- Andreas Tille <tille@debian.org>  Tue, 21 Jan 2020 18:22:49 +0100

r-cran-igraph (1.2.4.2-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set fields Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.

 -- Andreas Tille <tille@debian.org>  Fri, 29 Nov 2019 09:01:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-magrittr,
                r-cran-matrix,
                r-cran-pkgconfig,
-               libxml2-dev
-Standards-Version: 4.4.0
+               libxml2-dev,
+               pkg-config
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-igraph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-igraph.git
 Homepage: https://cran.r-project.org/package=igraph

## r-cran-igraph 1.2.5

=== debian/changelog ===
r-cran-igraph (1.2.5-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 16:36:40 +0000

r-cran-igraph (1.2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 21 Mar 2020 09:25:28 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-pkgconfig,
                libxml2-dev,
                pkg-config
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-igraph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-igraph.git
 Homepage: https://cran.r-project.org/package=igraph

## r-cran-igraph 1.2.6

=== debian/changelog ===
r-cran-igraph (1.2.6-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Oct 2020 13:50:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-magrittr,
@@ -15,6 +16,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-igraph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-igraph.git
 Homepage: https://cran.r-project.org/package=igraph
+Rules-Requires-Root: no
 
 Package: r-cran-igraph
 Architecture: any

## r-cran-igraph 1.2.11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Package: igraph
-Version: 1.2.4.2
+Version: 1.2.11
 Title: Network Analysis and Visualization
 Author: See AUTHORS file.
-Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
+Maintainer: Tamás Nepusz <ntamas@gmail.com>
 Description: Routines for simple graphs and network analysis. It can
   handle large graphs very well and provides functions for generating random
   and regular graphs, graph visualization, centrality methods and much more.
 Depends: methods
 Imports: graphics, grDevices, magrittr, Matrix, pkgconfig (>= 2.0.0),
         stats, utils
-Suggests: ape, digest, graph, igraphdata, rgl, scales, stats4, tcltk,
-        testthat
+Suggests: ape, graph, igraphdata, rgl, scales, stats4, tcltk, testthat,
+        withr, digest
 License: GPL (>= 2)
-URL: http://igraph.org
-SystemRequirements: gmp (optional), libxml2 (optional), glpk (optional)
-BugReports: https://github.com/igraph/igraph/issues
+URL: https://igraph.org
+SystemRequirements: gmp (>= 4.38, optional), libxml2 (optional), glpk
+        (optional)
+BugReports: https://github.com/igraph/rigraph/issues
 Encoding: UTF-8
-RoxygenNote: 6.1.1
 Collate: 'adjacency.R' 'auto.R' 'assortativity.R' 'attributes.R'
         'basic.R' 'bipartite.R' 'centrality.R' 'centralization.R'
         'cliques.R' 'cocitation.R' 'cohesive.blocks.R' 'community.R'
@@ -33,7 +33,8 @@
         'structural.properties.R' 'structure.info.R' 'test.R'
         'tkplot.R' 'topology.R' 'triangles.R' 'utils.R' 'uuid.R'
         'versions.R' 'weakref.R' 'zzz-deprecate.R'
+RoxygenNote: 7.1.2
 NeedsCompilation: yes
-Packaged: 2019-11-13 08:31:37 UTC; maechler
+Packaged: 2022-01-04 21:35:16 UTC; tamas
 Repository: CRAN
-Date/Publication: 2019-11-27 20:02:16 UTC
+Date/Publication: 2022-01-04 23:40:07 UTC

=== debian/changelog ===
r-cran-igraph (1.2.11-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Fri, 14 Jan 2022 21:40:13 +0100

r-cran-igraph (1.2.10-1) unstable; urgency=medium

  * New upstream version
  * No patches needed any more

 -- Andreas Tille <tille@debian.org>  Mon, 20 Dec 2021 18:59:43 +0100

r-cran-igraph (1.2.9-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 29 Nov 2021 08:55:30 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
                r-cran-matrix,
                r-cran-pkgconfig,
                libxml2-dev,
-               pkg-config
-Standards-Version: 4.5.0
+               pkg-config,
+               debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-igraph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-igraph.git
 Homepage: https://cran.r-project.org/package=igraph

## r-cran-igraph 1.3.4

=== debian/changelog ===
r-cran-igraph (1.3.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jul 2022 17:29:45 +0200

r-cran-igraph (1.3.3-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jul 2022 11:51:41 +0200

r-cran-igraph (1.3.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Wed, 22 Jun 2022 11:56:52 +0200

r-cran-igraph (1.3.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Repository-Browse.
  * Review d/copyright

 -- Andreas Tille <tille@debian.org>  Fri, 29 Apr 2022 12:09:02 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                r-cran-magrittr,
                r-cran-matrix,
                r-cran-pkgconfig,
+               r-cran-rlang,
                libxml2-dev,
-               pkg-config,
-               debhelper
-Standards-Version: 4.6.0
+               pkg-config
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-igraph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-igraph.git
 Homepage: https://cran.r-project.org/package=igraph

## r-cran-igraph 1.3.5

=== DESCRIPTION ===
Package: igraph
Version: 1.3.5
Title: Network Analysis and Visualization
Author: See AUTHORS file.
Maintainer: Tamás Nepusz <ntamas@gmail.com>
Description: Routines for simple graphs and network analysis. It can
  handle large graphs very well and provides functions for generating random
  and regular graphs, graph visualization, centrality methods and much more.
Depends: methods
Imports: graphics, grDevices, magrittr, Matrix, pkgconfig (>= 2.0.0),
        rlang, stats, utils
Suggests: ape, graph, igraphdata, rgl, scales, stats4, tcltk, testthat,
        withr, digest
License: GPL (>= 2)
URL: https://igraph.org, https://igraph.discourse.group/
SystemRequirements: gmp (optional), libxml2 (optional), glpk (>= 4.57,
        optional), C++11
BugReports: https://github.com/igraph/rigraph/issues
Encoding: UTF-8
Collate: 'adjacency.R' 'auto.R' 'assortativity.R' 'attributes.R'
        'basic.R' 'bipartite.R' 'centrality.R' 'centralization.R'
        'cliques.R' 'cocitation.R' 'cohesive.blocks.R' 'coloring.R'
        'community.R' 'components.R' 'console.R' 'conversion.R'
        'data_frame.R' 'decomposition.R' 'degseq.R' 'demo.R'
        'efficiency.R' 'embedding.R' 'env-and-data.R' 'epi.R'
        'eulerian.R' 'fit.R' 'flow.R' 'foreign.R' 'games.R' 'glet.R'
        'hrg.R' 'igraph-package.R' 'incidence.R' 'indexing.R'
        'interface.R' 'iterators.R' 'layout.R' 'layout_drl.R'
        'lazyeval.R' 'make.R' 'minimum.spanning.tree.R' 'motifs.R'
        'nexus.R' 'operators.R' 'other.R' 'package.R' 'palette.R'
        'par.R' 'paths.R' 'plot.R' 'plot.common.R' 'plot.shapes.R'
        'pp.R' 'print.R' 'printr.R' 'random_walk.R' 'rewire.R' 'scan.R'
        'scg.R' 'sgm.R' 'similarity.R' 'simple.R' 'sir.R' 'socnet.R'
        'sparsedf.R' 'structural.properties.R' 'structure.info.R'
        'test.R' 'tkplot.R' 'topology.R' 'trees.R' 'triangles.R'
        'utils.R' 'uuid.R' 'versions.R' 'weakref.R' 'zzz-deprecate.R'
RoxygenNote: 7.1.2
NeedsCompilation: yes
Packaged: 2022-09-09 14:41:00 UTC; tamas
Repository: CRAN
Date/Publication: 2022-09-22 07:10:02 UTC

=== debian/changelog ===
r-cran-igraph (1.3.5-3) unstable; urgency=medium

  * Skip test whether Kamada-Kawai layout generator works on i386
    (see https://github.com/igraph/rigraph/issues/653)

 -- Andreas Tille <tille@debian.org>  Wed, 01 Feb 2023 14:44:37 +0100

r-cran-igraph (1.3.5-2) unstable; urgency=medium

  * i386 patch to fulfill requirement of r-cran-lexrankr
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jan 2023 15:07:27 +0100

r-cran-igraph (1.3.5-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 26 Sep 2022 13:48:09 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-cran-rlang,
                libxml2-dev,
                pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-igraph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-igraph.git
 Homepage: https://cran.r-project.org/package=igraph

## r-cran-igraph 1.5.0.1

=== debian/changelog ===
r-cran-igraph (1.5.0.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 25 Jul 2023 06:22:20 +0200

r-cran-igraph (1.5.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Update lintian-overrides
  * Versioned Test-Depends: r-cran-vdiffr (>= 1.0.5-2~) to deal with
    R graphics ABI change

 -- Andreas Tille <tille@debian.org>  Fri, 30 Jun 2023 12:08:27 +0200

r-cran-igraph (1.4.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 26 Feb 2023 11:39:11 +0100

r-cran-igraph (1.4.0-1) unstable; urgency=medium

  * New upstream version
  * Lintian-overrides (see lintian bug #1017966)
  * Sync Suggests with Test-Depends

 -- Andreas Tille <tille@debian.org>  Mon, 20 Feb 2023 14:33:22 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-cli,
                r-cran-magrittr,
                r-cran-matrix,
                r-cran-pkgconfig,
                r-cran-rlang,
+               r-cran-cpp11,
                libxml2-dev,
                pkg-config
 Standards-Version: 4.6.2

## r-cran-igraph 1.6.0

=== DESCRIPTION ===
Package: igraph
Version: 1.6.0
Title: Network Analysis and Visualization
Authors@R: c(
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0001-7098-9676")),
    person("Tamás", "Nepusz", , "ntamas@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0002-1451-338X")),
    person("Vincent", "Traag", role = "aut",
           comment = c(ORCID = "0000-0003-3170-3879")),
    person("Szabolcs", "Horvát", , "szhorvat@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0002-3100-523X")),
    person("Fabio", "Zanini", , "fabio.zanini@unsw.edu.au", role = "aut",
           comment = c(ORCID = "0000-0001-7097-8539")),
    person("Daniel", "Noom", role = "aut"),
    person("Kirill", "Müller", , "kirill@cynkra.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-1416-3412")),
    person("Maëlle", "Salmon", role = "ctb"),
    person("Chan Zuckerberg Initiative", role = "fnd")
  )
Description: Routines for simple graphs and network analysis. It can
    handle large graphs very well and provides functions for generating
    random and regular graphs, graph visualization, centrality methods and
    much more.
License: GPL (>= 2)
URL: https://r.igraph.org/, https://igraph.org/,
        https://igraph.discourse.group/
BugReports: https://github.com/igraph/rigraph/issues
Depends: methods, R (>= 3.5.0)
Imports: cli, graphics, grDevices, lifecycle, magrittr, Matrix,
        pkgconfig (>= 2.0.0), rlang, stats, utils
Suggests: ape (>= 5.7-0.1), callr, decor, digest, graph, igraphdata,
        knitr, rgl, rmarkdown, scales, stats4, tcltk, testthat, vdiffr,
        withr
LinkingTo: cpp11 (>= 0.4.7)
VignetteBuilder: knitr
Config/Needs/build: roxygen2, devtools, irlba, pkgconfig
Config/Needs/coverage: covr
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first: vs-es, scan, vs-operators, weakref,
        watts.strogatz.game
Encoding: UTF-8
RoxygenNote: 7.2.3
SystemRequirements: gmp (optional), libxml2 (optional), glpk (>= 4.57,
        optional)
NeedsCompilation: yes
Packaged: 2023-12-09 11:51:46 UTC; kirill
Author: Gábor Csárdi [aut] (<https://orcid.org/0000-0001-7098-9676>),
  Tamás Nepusz [aut] (<https://orcid.org/0000-0002-1451-338X>),
  Vincent Traag [aut] (<https://orcid.org/0000-0003-3170-3879>),
  Szabolcs Horvát [aut] (<https://orcid.org/0000-0002-3100-523X>),
  Fabio Zanini [aut] (<https://orcid.org/0000-0001-7097-8539>),
  Daniel Noom [aut],
  Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
  Maëlle Salmon [ctb],
  Chan Zuckerberg Initiative [fnd]
Maintainer: Kirill Müller <kirill@cynkra.com>
Repository: CRAN
Date/Publication: 2023-12-11 07:50:02 UTC

=== src/vendor/simpleraytracer/CMakeLists.txt ===
set(SOURCES
  Color.cpp
  Light.cpp
  Point.cpp
  RIgraphRay.cpp
  Ray.cpp
  RayTracer.cpp
  RayVector.cpp
  Shape.cpp
  Sphere.cpp
  Triangle.cpp
  unit_limiter.cpp
)

add_library(simpleraytracer ${SOURCES})
target_include_directories(simpleraytracer PRIVATE ${igraph_BINARY_DIR}/include ${rigraph_SOURCE_DIR})

install(
  TARGETS simpleraytracer
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

=== debian/changelog ===
r-cran-igraph (1.6.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jan 2024 19:54:40 +0100

r-cran-igraph (1.5.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 18 Aug 2023 14:38:27 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
                dh-r,
                r-base-dev,
                r-cran-cli,
+               r-cran-lifecycle,
                r-cran-magrittr,
                r-cran-matrix,
                r-cran-pkgconfig,
                r-cran-rlang,
-               r-cran-cpp11,
+               r-cran-cpp11 (>= 0.4.7),
                libxml2-dev,
                pkg-config
 Standards-Version: 4.6.2

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-ape (>= 5.7-0.1),
        r-cran-callr,
        r-cran-decor,
        r-cran-digest,
        r-bioc-graph,
        r-cran-knitr,
        r-cran-rgl,
        r-cran-rmarkdown,
        r-cran-scales,
        r-cran-testthat,
        r-cran-vdiffr,
        r-cran-withr
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/igraph_([-0-9\.]*)\.tar\.gz
